/* $Id$ */
#ifndef NETCAMERA_H
#define NETCAMERA_H

#include "network.h"

/* packet types */
enum {
    /* tcp server */
    PACK_HAVE_FEED = 30,  /* already have video feed */
    PACK_WELCOME_PORT,    /* call accepted, port number included */
    PACK_START_GRAB,      /* start grabbing and sending frames */
    PACK_STOP_GRAB,       /* stop grabbing and sending frames */
    /* tcp client */
    PACK_QUIT = 40,     /* end of call */
};


void netcSetLocalPort(const char *port);

void netcInit(void);
void netcFinish(void);

void netcStartGrab(void);
void netcStopGrab(void);
int  netcCameraAvailable(void);

#endif
